MOUNT_TMPFS(8) | System Manager's Manual | MOUNT_TMPFS(8)

# NAME

`mount_tmpfs` — mount an efficient memory file system

# SYNOPSIS

`mount_tmpfs` | [`-g` group] [`-m` mode] [`-n` nodes] [`-o` options] [`-s` size] [`-u` user] tmpfs mount_point

# DESCRIPTION

The `mount_tmpfs` command attaches an instance of the efficient memory file system to the global file system namespace. The tmpfs parameter only exists for compatibility with the other mount commands and is ignored. The directory specified by mount_point is converted to an absolute path before use and its attributes (owner, group and mode) are inherited unless explicitly overridden by the options described below.

The following options are supported:

`-g` group
  Specifies the group name or GID of the root inode of the file system. Defaults to the mount point's GID.
`-m` mode
  Specifies the mode (in octal notation) of the root inode of the file system. Defaults to the mount point's mode.
`-n` nodes
  Specifies the maximum number of nodes available to the file system. If not specified, the file system chooses a reasonable maximum given its size at mount time, which can be limited with `-s`.
`-o` options
  Options are specified with a `-o` flag followed by a comma-separated string of options. See the mount(8) man page for possible options and their meanings.
`-s` size
  Specifies the total file system size in bytes. If zero is given (the default), the available amount of memory (including main memory and swap space) will be used. Note that some memory is always reserved for the system and cannot be assigned to the file system. The exact amount depends on the available memory and details of the kernel memory usage, it might even change slightly during runtime. Size can alternatively be specified as a percentage of the available system ram by using the notation ram%n where n is a number between 1 and 100. Similarly it can be specified as a fraction of the available system ram by using ram/n where n is the divisor. (Using ram%25 and ram/4 will result in the same limit.)
`-u` user
  Specifies the user name or UID of the root inode of the file system. Defaults to the mount point's UID.

Every option that accepts a numerical value as its argument can take a trailing ‘b’ to indicate bytes (the default), a ‘k’ to indicate kilobytes, a ‘M’ to indicate megabytes or a ‘G’ to indicate gigabytes. Note that both lowercase and uppercase forms of these letters are allowed.

# EXAMPLES

The following command mounts a tmpfs instance over the /tmp directory, inheriting its owner, group and mode settings:

`# mount -t tmpfs tmpfs /tmp`

The following command mounts a tmpfs instance over the /mnt directory, setting a 20 megabytes limit in space, owned by the ‘joe’ user and belonging to the ‘users’ group, with a restricted 0700 mode:

`# mount -t tmpfs -o -s20M -o -ujoe -o -gusers -o -m0700 tmpfs /mnt`

See /usr/share/examples/fstab/fstab.ramdisk for some examples on how to add tmpfs entries to /etc/fstab.

# SEE ALSO

fstab(5), mount(8)

# HISTORY

The `mount_tmpfs` utility first appeared in NetBSD 4.0.

# BUGS

File system meta-data is not pageable. If there is not enough main memory to hold this information, the system may become unstable or very unresponsive because it will not be able to allocate required memory. A malicious user could trigger this condition if he could create lots of files inside a size-unbounded tmpfs file system. Limiting the number of nodes per file system (`-n`) will prevent this; the default value for this setting is also often adjusted to an adequate value to resolve this.

June 7, 2014 | NetBSD 11.0